org.apache.cxf.helpers

## Class FileUtils

- java.lang.Object
- - org.apache.cxf.helpers.FileUtils

-     public final class FileUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static File` | `createTempFile(String prefix, String suffix)`
    `static File` | `createTempFile(String prefix, String suffix, File parentDir, boolean deleteOnExit)`
    `static File` | `createTmpDir()`
    `static File` | `createTmpDir(boolean addHook)`
    `static void` | `delete(File f)`
    `static void` | `delete(File f, boolean inShutdown)`
    `static File` | `getDefaultTempDir()`
    `static List<File>` | `getFiles(File dir, String pattern)`
    `static List<File>` | `getFiles(File dir, String pattern, File exclude)`
    `static List<File>` | `getFilesRecurse(File dir, String pattern)`
    `static List<File>` | `getFilesRecurse(File dir, String pattern, File exclude)`
    `static String` | `getStringFromFile(File location)`
    `static boolean` | `isValidFileName(String name)`
    `static void` | `maybeDeleteDefaultTempDir()`
    `static void` | `mkDir(File dir)`
    `static String` | `normalizeCRLF(InputStream instream)`
    `static List<String>` | `readLines(File file)`
    `static void` | `removeDir(File d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isValidFileName

          public static boolean isValidFileName(String name)

    - #### getDefaultTempDir

          public static File getDefaultTempDir()

    - #### maybeDeleteDefaultTempDir

          public static void maybeDeleteDefaultTempDir()

    - #### createTmpDir

          public static File createTmpDir()

    - #### createTmpDir

          public static File createTmpDir(boolean addHook)

    - #### mkDir

          public static void mkDir(File dir)

    - #### removeDir

          public static void removeDir(File d)

    - #### delete

          public static void delete(File f)

    - #### delete

          public static void delete(File f,
                                    boolean inShutdown)

    - #### createTempFile

          public static File createTempFile(String prefix,
                                            String suffix)
                                     throws IOException

      Throws:
        `IOException`

    - #### createTempFile

          public static File createTempFile(String prefix,
                                            String suffix,
                                            File parentDir,
                                            boolean deleteOnExit)
                                     throws IOException

      Throws:
        `IOException`

    - #### getStringFromFile

          public static String getStringFromFile(File location)

    - #### normalizeCRLF

          public static String normalizeCRLF(InputStream instream)

    - #### getFiles

          public static List<File> getFiles(File dir,
                                            String pattern)

    - #### getFilesRecurse

          public static List<File> getFilesRecurse(File dir,
                                                   String pattern)

    - #### getFiles

          public static List<File> getFiles(File dir,
                                            String pattern,
                                            File exclude)

    - #### getFilesRecurse

          public static List<File> getFilesRecurse(File dir,
                                                   String pattern,
                                                   File exclude)

    - #### readLines

          public static List<String> readLines(File file)
                                        throws Exception

      Throws:
        `Exception`

Apache CXF